1.0
1.0
get /v1/replications/regions
Description
파일스토리지 복제 리전 목록을 조회한다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | type_name optional | 볼륨 유형 이름 Example : HDD | any of [string, null] | None |
| query | source_region_name required | 리전 Example : kr-west1 | string | None |
| query | replication_type required | 복제 유형 Example : replication | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ReplicationRegionListResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/replications/regions?source_region_name={source_region_name}&replication_type={replication_type}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = filestorage 1.0"
Example HTTP response
Response 200
{
"regions": "['kr-west1']"
}